Subject: info on shiitake
From: [email-masked] (Otto Lang)
Date: 11 May 1994 17:19:51 -0000
Newsgroups: bionet.mycology

Is there any treatise on the nutritional and tonic values of shiitake.One of
our members has an urgent need for this information. Thank you.
-- 
Otto Lang, Mycological Society of Toronto <[email-masked]> Fidonet 1:250/228